Internet-in-a-Box (IIAB) 8.0 pre-releases are thoroughly tested, and can be installed from this page! Please read our DRAFT IIAB 8.0 Release Notes.

To install IIAB 8.0 onto Raspberry Pi OS, Ubuntu 20.04+, Linux Mint 20+ or Debian 11+, simply run this 1-line installer:

curl iiab.io/install.txt | bash

On a Raspberry Pi, WE RECOMMEND YOU INSTALL THE LATEST RASPBERRY PI OS (32-bit OR 64-bit), using their detailed instructions if necessary. WARNING: THE NOOBS OS IS *NOT* SUPPORTED, as its partitioning is very different. To attempt an IIAB install onto a non-supported Linux distribution (AT YOUR OWN RISK) see also the manual/legacy instructions.

An Ethernet cable is highly recommended during installation. This is not only more reliable, but also allows an internal IIAB hotspot to be set up without confusion. WARNING: IF YOU CONNECT YOUR IIAB'S INTERNAL WIFI TO THE INTERNET OVER 5 GHz, YOU'LL PREVENT OLDER LAPTOPS/PHONES/TABLETS (WHICH REQUIRE 2.4 GHz) FROM CONNECTING TO YOUR IIAB'S INTERNAL HOTSPOT. For AP+STA mode, set "wifi_up_down: True" in /etc/iiab/local_vars.yml (example).

Thanks For Building Your Own Library To Serve One & All

Please contact us if you find issues, Thank You! Special Thanks to the countries + communities + volunteers working non-stop to bring about IIAB 8.0 !

IIAB Dev Team
http://FAQ.IIAB.IO

Internet-in-a-Box (IIAB) 6.4 Release Notes are here:

   github.com/iiab/iiab/wiki/IIAB-6.4-Release-Notes

To install IIAB 6.4 onto (either) Raspbian Stretch on RPi3:

   curl download.iiab.io/6.4/rpi/load.txt | sudo bash

This includes ~12 server apps and typically completes within 2 hours.
A far faster 1-line installer is below, if you want just ~6 server apps:

   curl download.iiab.io/6.4/rpi/load-min.txt | sudo bash

Conversely a much larger (but far slower) installation is possible,
if you want to experiment with a full suite of ~20 server apps:

   curl download.iiab.io/6.4/rpi/load-big.txt | sudo bash

In all cases, an Ethernet (live Internet) cable installed into the back of
your Raspberry Pi 3 is REQUIRED during installation!  Need live community
support?  Choose a filename containing "-vpn" at download.iiab.io/6.4/rpi
so OpenVPN and TeamViewer work out of the box :)

Prefer to install from scratch?  Full instructions:
github.com/iiab/iiab/wiki/IIAB-Installation#do-everything-from-scratch


Please post your specific needs to our http://iiab.io discussion forums
where we aim to respond to all (conscientious) questions within ~24 hours.

      Thanks For Building Your Own Library To Serve One & All !

An *enormous* thank you to the many countries, communities and volunteers
dedicating themselves non-stop doing exactly that--hence our new IIAB 6.4.

IIAB Development Team
http://FAQ.IIAB.IO